E-MailRelay

Static Public Attributes | List of all members
G::Limits< G::Scale::Small > Struct Reference

Small-memory specialisation of G::Limits. More...

`#include <glimits.h>`

## Static Public Attributes
static constexpr bool | is_small = true
static constexpr int | log = 120
static constexpr int | path_buffer = 64
static constexpr int | file_buffer = 4096
static constexpr int | net_buffer = 4096
static constexpr int | net_listen_queue = 3
static constexpr int | net_file_limit = 10000000

## Detailed Description

Small-memory specialisation of G::Limits.

Definition at line 65 of file glimits.h.

## Member Data Documentation

## ◆ file_buffer

constexpr int G::Limits< G::Scale::Small >::file_buffer = 4096
| static constexpr

Definition at line 70 of file glimits.h.

## ◆ is_small

constexpr bool G::Limits< G::Scale::Small >::is_small = true
| static constexpr

Definition at line 67 of file glimits.h.

## ◆ log

constexpr int G::Limits< G::Scale::Small >::log = 120
| static constexpr

Definition at line 68 of file glimits.h.

## ◆ net_buffer

constexpr int G::Limits< G::Scale::Small >::net_buffer = 4096
| static constexpr

Definition at line 71 of file glimits.h.

## ◆ net_file_limit

constexpr int G::Limits< G::Scale::Small >::net_file_limit = 10000000
| static constexpr

Definition at line 73 of file glimits.h.

## ◆ net_listen_queue

constexpr int G::Limits< G::Scale::Small >::net_listen_queue = 3
| static constexpr

Definition at line 72 of file glimits.h.

## ◆ path_buffer

constexpr int G::Limits< G::Scale::Small >::path_buffer = 64
| static constexpr

Definition at line 69 of file glimits.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/glimits.h